# List shares

Launch stage: GA

`GET /api/2.1/unity-catalog/shares`

Gets an array of data object shares from the metastore. If the caller has the USE_SHARE privilege on the metastore, all shares are returned. Otherwise, only shares owned by the caller are returned.
 There is no guarantee of a specific ordering of the elements in the array.

API scopes: sharing

## Query parameters

- `max_results` (int32, optional)
  Maximum number of shares to return.
     - when set to 0, the page length is set to a server configured value (recommended);
     - when set to a value greater than 0, the page length is the minimum of this value and a server configured value;
     - when set to a value less than 0, an invalid parameter error is returned;
     - If not set, all valid shares are returned (not recommended).
     - Note: The number of returned shares might be less than the specified max_results size, even zero.
     The only definitive indication that no further shares can be fetched is when the next_page_token is unset from the response.
  Constraints: `<= 1000`
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.

## Returns

Returns a list of ShareInfo objects.

## Response

```json
{
  "shares": [
    {
      "name": "string",
      "owner": "string",
      "comment": "string",
      "storage_root": "string",
      "objects": [
        {}
      ],
      "created_at": 0,
      "created_by": "string",
      "updated_at": 0,
      "updated_by": "string",
      "storage_location": "string"
    }
  ],
  "next_page_token": "string"
}
```

